#! /bin/sh -e

# DP: For biarch builds, disable the testsuite for the non-default architecture
# DP: for runtime libraries, which are not built by default (libjava).

dir=
if [ $# -eq 3 -a "$2" = '-d' ]; then
    pdir="-d $3"
    dir="$3/"
elif [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch)
        patch $pdir -f --no-backup-if-mismatch -p0 < $0
        ;;
    -unpatch)
        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
        ;;
    *)
        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
        exit 1
esac
exit 0

--- libjava/testsuite/Makefile.in~	2005-09-29 23:53:39.213898000 +0200
+++ libjava/testsuite/Makefile.in	2005-09-29 23:55:33.382541760 +0200
@@ -346,12 +346,14 @@
 
 
 check-DEJAGNU: site.exp
+	runtestflags="`echo '$(RUNTESTFLAGS)' | sed 's/,-m[36][24]//'`"; \
+	case "$$runtestflags" in *\\{\\}) runtestflags=; esac; \
 	srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \
 	EXPECT=$(EXPECT); export EXPECT; \
 	runtest=$(RUNTEST); \
 	if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
 	  l='$(DEJATOOL)'; for tool in $$l; do \
-	    $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS); \
+	    $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) $$runtestflags; \
 	  done; \
 	else echo "WARNING: could not find \`runtest'" 1>&2; :;\
 	fi
